A new user interface for you! Read more...

File kalarmcal.spec of Package kalarmcal.openSUSE_Backports_SLE-12-SP3

#
# spec file for package kalarmcal
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kalarmcal
Version:        16.08.2
Release:        0
%define kf5_version 5.23.0
Summary:        KDE PIM Library kalarmcal
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         kalarmcal-%{version}.tar.xz
BuildRequires:  akonadi-server-devel
BuildRequires:  extra-cmake-modules >= %{kf5_version}
BuildRequires:  kcalcore-devel
BuildRequires:  kdelibs4support-devel >= %{kf5_version}
BuildRequires:  kf5-filesystem
BuildRequires:  kholidays-devel
BuildRequires:  kidentitymanagement-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains additional libraries for KDE PIM applications.

%package -n libKF5AlarmCalendar5
Summary:        KDE PIM Libraries: KAlarmCal
Group:          Development/Libraries/KDE

%description  -n libKF5AlarmCalendar5
This package contains additional libraries for KDE PIM applications.

%package devel
Summary:        KDE PIM Libraries: Build Environment
Group:          Development/Libraries/KDE
Requires:       akonadi-server-devel >= %{version}
Requires:       kcalcore-devel >= %{version}
Requires:       kdelibs4support-devel >= %{kf5_version}
Requires:       kholidays-devel >= %{version}
Requires:       kidentitymanagement-devel >= %{version}
Requires:       libKF5AlarmCalendar5 = %{version}

%description devel
This package contains necessary include files and libraries needed
to develop KDE PIM applications.

%prep
%setup -q -n kalarmcal-%{version}

%build
  %cmake_kf5 -d build -- -DBUILD_TESTING=ON -DKF5_INCLUDE_INSTALL_DIR=%_kf5_includedir
  %make_jobs

%install
  %kf5_makeinstall -C build

%post -n libKF5AlarmCalendar5 -p /sbin/ldconfig

%postun -n libKF5AlarmCalendar5 -p /sbin/ldconfig

%files -n libKF5AlarmCalendar5
%defattr(-,root,root)
%doc COPYING.LIB README DESIGN.html
%{_kf5_libdir}/libKF5AlarmCalendar.so.*

%files devel
%defattr(-,root,root)
%doc COPYING.LIB
%{_kf5_libdir}/cmake/KF5AlarmCalendar/
%{_kf5_libdir}/libKF5AlarmCalendar.so
%{_kf5_includedir}/KAlarmCal/
%{_kf5_includedir}/kalarmcal_version.h
%{_kf5_mkspecsdir}/qt_KAlarmCal.pri

%changelog